List Nodes
Authorization<token>
Bearer token
In: header
X-Organization-ID<token>
Tenant or organization identifier
In: header
Query Parameters
page?integer
Format
int32pageSize?integer
Format
int32platformId?string
Optional filter; UUID format validated in ListNodes when set.
serviceStatus?string
Value in
"SERVICE_STATUS_UNSPECIFIED" | "SERVICE_STATUS_ONLINE" | "SERVICE_STATUS_OFFLINE" | "SERVICE_STATUS_MAINTENANCE"expand?array<string>
search?string
regionId?string
Response Body
application/json
curl -X GET "https://api.nrings.io/v1/nodes?page&pageSize&platformId&serviceStatus&expand&search®ionId" \ -H "Authorization: Bearer {your_token}" \ -H "X-Organization-ID: {your_org_id}"{
"nodes": [
{
"node": {
"id": "string",
"name": "string",
"serviceStatus": "SERVICE_STATUS_UNSPECIFIED",
"platform": "string",
"region": "string",
"organizationId": "string",
"inventory": {
"cpuType": "CPU_TYPE_UNSPECIFIED",
"cpuCore": 0,
"cpuCoreAllocated": 0,
"storagePools": [
{
"name": "string",
"storage": 0,
"storageAllocated": 0
}
],
"memory": 0,
"memoryAllocated": 0
},
"cpuOverallocatePercent": 0,
"memoryOverallocatePercent": 0,
"storageOverallocatePercent": 0,
"networkId": "string",
"metadata": {},
"status": "STATUS_UNSPECIFIED",
"timestamps": {
"createTime": "2019-08-24T14:15:22Z",
"updateTime": "2019-08-24T14:15:22Z"
},
"maintenanceMode": true,
"vmidSeed": 0,
"vmStorageDestination": "string",
"backupStorageDestination": "string",
"backupStorageCompression": "BACKUP_STORAGE_COMPRESSION_UNSPECIFIED",
"networkBridge": "string",
"networkName": "string",
"networkVlanId": 0,
"networkModel": "string",
"computeType": "NODE_COMPUTE_TYPE_UNSPECIFIED",
"hasCpuTopology": true
},
"expandedRegion": {
"id": "string",
"organizationId": "string",
"timestamps": {
"createTime": "2019-08-24T14:15:22Z",
"updateTime": "2019-08-24T14:15:22Z"
},
"cityCountry": {
"id": "string",
"cityName": "string",
"countryName": "string"
},
"datacenter": {
"id": "string",
"name": "string"
}
}
}
],
"totalCount": 0
}